Loading...
Searching...
No Matches
mpr_numeric.h File Reference
`#include "coeffs/numbers.h"`
`#include "coeffs/mpr_global.h"`
`#include "coeffs/mpr_complex.h"`

Go to the source code of this file.

## Data Structures

class | vandermonde
| vandermonde system solver for interpolating polynomials from their values More...
class | rootContainer
| complex root finder for univariate polynomials based on laguers algorithm More...
class | rootArranger
class | simplex
| Linear Programming / Linear Optimization using Simplex - Algorithm. More...

## Macros

#define | PM_NONE 0
#define | PM_POLISH 1
#define | PM_CORRUPT 2
#define | SIMPLEX_EPS 1.0e-12

## Typedefs

typedef slists * | lists

## Macro Definition Documentation

## PM_CORRUPT

#define PM_CORRUPT 2

Definition at line 21 of file mpr_numeric.h.

## PM_NONE

#define PM_NONE 0

Definition at line 19 of file mpr_numeric.h.

## PM_POLISH

#define PM_POLISH 1

Definition at line 20 of file mpr_numeric.h.

## SIMPLEX_EPS

#define SIMPLEX_EPS 1.0e-12

Definition at line 181 of file mpr_numeric.h.

## Typedef Documentation

## lists

typedef slists* lists

Definition at line 146 of file mpr_numeric.h.